#
# spec file for package pinentry (Version 0.7.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           pinentry
BuildRequires:  gtk2-devel libdrm-devel libjpeg-devel qt3-devel update-desktop-files
URL:            http://www.gnupg.org/aegypten/
Version:        0.7.2
Release:        15.2
Summary:        Collection of Simple PIN or Passphrase Entry Dialogs
License:        GPL
Autoreqprov:    on
Source:         pinentry-%{version}.tar.bz2
Patch0:         moreSecureMemoryForPinentry-qt.diff
Patch1:         %{name}-%{version}-gtk+-2.4.diff
Patch2:         bugzilla-17996-disable-inputmethod-for-passords.patch
Group:          Productivity/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the Aegypten project.



Authors:
--------
    Robert Bihlmeyer <robbe@orcus.priv.at>
    Werner Koch, g10 Code GmbH <wk@gnupg.org>
    Steffen Hansen, Klarlvdalens Datakonsult AB <steffen@klaralvdalens-datakonsult.se>
    Marcus Brinkmann, g10 Code GmbH <marcus@g10code.com>

%debug_package
%prep
%setup -q
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1

%build
aclocal -I m4
autoconf
automake
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=%{_prefix} \
		--sysconfdir=/etc \
		--libdir=%{_libdir} \
		--infodir=%{_infodir} \
		-enable-pinentry-gtk2 \
                --with-qt-dir=%{_libdir}/qt3/ \
                --with-qt-includes=%{_libdir}/qt3/include/ \
                --with-qt-libraries=%{_libdir}/qt3/%_lib/ 
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/bin
ln -sf pinentry-gtk-2 pinentry-gtk

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %_infodir/pinentry*
/usr/bin/pinentry
/usr/bin/pinentry-curses
/usr/bin/pinentry-gtk
/usr/bin/pinentry-gtk-2
/usr/bin/pinentry-qt

%changelog -n pinentry
* Mon Jun 26 2006 - mfabian@suse.de
- Bugzilla #179996: enable input methods in SecQlineEdit widgets
  only when "mode == Normal" (i.e. not when "mode == NoEcho" or
  "mode == Password"). Using input methods while inputting
  passwords is useless. See also Bugzilla #117115.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- added symlink to filelist
* Fri Jul 29 2005 - anicka@suse.cz
- update to 0.7.2
- remove part of gtk2 patch contained in new version
* Tue Nov 02 2004 - postadal@suse.cz
- added patch gtk+-2.4.diff.bz2 for gtk2 support (removing gtk1 dependency)
* Tue Jul 13 2004 - adrian@suse.de
- update to version 0.7.1
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Tue Nov 18 2003 - mc@suse.de
- increase secmem allocation for pinentry-qt to avoid
  "Out of memory" errors.
  (pinentry-0.6.9.moreSecureMemoryForPinentry-qt.diff)
* Mon Jun 02 2003 - mc@suse.de
- remove pinentry-0.6.8-prevent-assuan-stderr.dif; no longer needed
- switch to version 0.6.9
  * a memory-issue present in 0.6.8
  * a minor build problem (make distclean now cleans up .moc files)
  * assuan protocol debug messages are not written to stderr
- fixed build on x86_64
* Tue Apr 08 2003 - mc@suse.de
- prevent pinentry-qt to print the assuan protocol to stderr
* Fri Feb 21 2003 - ro@suse.de
- fixed neededforbuild
* Tue Feb 11 2003 - mc@suse.de
- initial release
